tests

## Class PraktikumHolonsTestCanvasController

- java.lang.Object
- - tests.PraktikumHolonsTestCanvasController

    public class PraktikumHolonsTestCanvasController
    extends java.lang.Object

Tests for the CanvasController.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsTestCanvasController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()` Setup for the tests.
`void` `testAddingAndDeletingEdges()` Tests adding and deleting Edges.
`void` `testAddingObjects()` Tests adding objects.
`void` `testCutCopyPasteObjects()` Test copying, cutting and pasting Objects.
`void` `testDeletingObject()` Tests deleting Objects.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsTestCanvasController

    public PraktikumHolonsTestCanvasController()

### Method Detail

#### setUp

    public void setUp()

Setup for the tests.

#### testAddingObjects

    public void testAddingObjects()

Tests adding objects.

#### testDeletingObject

    public void testDeletingObject()

Tests deleting Objects.

#### testAddingAndDeletingEdges

    public void testAddingAndDeletingEdges()

Tests adding and deleting Edges.

#### testCutCopyPasteObjects

    public void testCutCopyPasteObjects()

Test copying, cutting and pasting Objects.